net-cpp: core::net::http Namespace Reference

net-cpp .. C++11 library for networking purposes

Classes | Enumerations | Functions
core::net::http Namespace Reference

## Classes
class | Client
struct | ContentType
| Collection of known content types. More...
class | Error
class | Header
| The Header class encapsulates the headers of an HTTP request/response. More...
class | Request
| The Request class encapsulates a request for a web resource. More...
struct | Response
| The Response struct models a response to a core::net::http::Request. More...
class | StreamingClient
class | StreamingRequest
| The StreamingRequest class encapsulates a request for a web resource, streaming data to the receiver as it receives in addition to accumulating all incoming data. More...

## Enumerations
enum | Method { Method::get, Method::head, Method::post, Method::put, Method::del }
enum | Status { Status::continue_ = 100, Status::switching_protocols = 101, Status::ok = 200, Status::created = 201, Status::accepted = 202, Status::non_authorative_info = 203, Status::no_content = 204, Status::reset_content = 205, Status::partial_content = 206, Status::multiple_choices = 300, Status::moved_permanently = 301, Status::found = 302, Status::see_other = 303, Status::not_modified = 304, Status::use_proxy = 305, Status::temporary_redirect = 307, Status::bad_request = 400, Status::unauthorized = 401, Status::payment_required = 402, Status::forbidden = 403, Status::not_found = 404, Status::method_not_allowed = 405, Status::not_acceptable = 406, Status::proxy_auth_required = 407, Status::request_timeout = 408, Status::conflict = 409, Status::gone = 410, Status::length_required = 411, Status::precondition_failed = 412, Status::request_entity_too_large = 413, Status::request_uri_too_long = 414, Status::unsupported_media_type = 415, Status::requested_range_not_satisfiable = 416, Status::expectation_failed = 417, Status::teapot = 418, Status::internal_server_error = 500, Status::not_implemented = 501, Status::bad_gateway = 502, Status::service_unavailable = 503, Status::gateway_timeout = 504, Status::http_version_not_supported = 505 }

## Functions
CORE_NET_DLL_PUBLIC std::shared_ptr< Client > | make_client ()
| Dispatches to the default implementation and returns a client instance. More...
CORE_NET_DLL_PUBLIC std::ostream & | operator<< (std::ostream &out, Status status)
CORE_NET_DLL_PUBLIC std::shared_ptr< StreamingClient > | make_streaming_client ()
| Dispatches to the default implementation and returns a streaming client instance. More...

## Enumeration Type Documentation

## ◆ Method

enum core::net::http::Method
| strong

Enumerator
get |
head |
post |
put |
del |

Definition at line 32 of file method.h.

## ◆ Status

enum core::net::http::Status
| strong

Enumerator
continue_ |
switching_protocols |
ok |
created |
accepted |
non_authorative_info |
no_content |
reset_content |
partial_content |
multiple_choices |
moved_permanently |
found |
see_other |
not_modified |
use_proxy |
temporary_redirect |
bad_request |
unauthorized |
payment_required |
forbidden |
not_found |
method_not_allowed |
not_acceptable |
proxy_auth_required |
request_timeout |
conflict |
gone |
length_required |
precondition_failed |
request_entity_too_large |
request_uri_too_long |
unsupported_media_type |
requested_range_not_satisfiable |
expectation_failed |
teapot |
internal_server_error |
not_implemented |
bad_gateway |
service_unavailable |
gateway_timeout |
http_version_not_supported |

Definition at line 31 of file status.h.

## Function Documentation

## ◆ make_client()

CORE_NET_DLL_PUBLIC std::shared_ptr<Client> core::net::http::make_client | ( |  | ) |

Dispatches to the default implementation and returns a client instance.

## ◆ make_streaming_client()

CORE_NET_DLL_PUBLIC std::shared_ptr<StreamingClient> core::net::http::make_streaming_client | ( |  | ) |

Dispatches to the default implementation and returns a streaming client instance.

## ◆ operator<<()

CORE_NET_DLL_PUBLIC std::ostream& core::net::http::operator<< | ( | std::ostream & | out,
|  | Status | status
| ) |  |